<?php
set_time_limit(200);

include_once ("db/dbMyDescricao.class.php");
$db=new dbMyDescricao;

$sql="RENAME TABLE produto TO produto_old";
$db->set($sql);

$sql="delete from produto";
$db->set($sql);

$sql="update desc_embalagem set Generico='Genérico' where Generico='S'";
$db->set($sql);

$sql="update desc_embalagem set Generico='' where Generico='N'";
$db->set($sql);


$sql="CREATE TABLE `produto` (
  `id` int(11) NOT NULL,
  `nome` varchar(255) NOT NULL,
  `idMarca` int(11) NOT NULL,
  `marca` varchar(255) NOT NULL,
  `iva` float(10,2) NOT NULL,
  `preco` float(10,2) NOT NULL,
  `comparticipacao` int(11) NOT NULL,
  `receita` varchar(50) NOT NULL,
  `imagem` varchar(255) NOT NULL default '',
  `descricao` text NOT NULL,
  `activo` tinyint(1) NOT NULL default '0',
  `idCat` int(11) NOT NULL default '1',
  `ordem` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1";
$db->set($sql);

$sql="insert into produto
SELECT p.codigo, p.nome, '', e.Ttular_Aim , p.iva, p.preco , e.Compart, e.Class_disp, '' ,  CONCAT_WS('<br>','<b>Nome:</b>', e.Nome, '<b>Embalagem:</b>', e.Descr ,  e.Generico , e.Form_Farm), 1, 13, 1
FROM produtos_programa as p, desc_embalagem as e
WHERE e.n_registo = p.codigo and e.Class_disp='MNSRM' ";
$db->set($sql);

print "Insert Inicial<br>";


$sql="select * from produto";
$lista=$db->get($sql);

$i=0;
foreach ($lista as $row){
	$i++;
	$valor="";

	
	print $row['id'] ." ";
	
	// substancia
	
	$sql="select * from desc_substancia where N_Registo=" . $row['id'];
	$lista2=$db->get($sql);
	
	if ($lista2){
		$valor="<b>Substância Activa:</b>";
		foreach ($lista2 as $row2){
			$valor.="<br>" . $row2['Quantidade'] . " - " . $row2['Substancia'] ;
		}
	}
	
	
	// class farmaco terapeutica CFT
	$sql="select * from desc_grupoCFT where N_Registo=" . $row['id'];
	$lista3=$db->get($sql);
	
	if ($lista3){
		$valor.="<br><b>Classificação Farmacoterapêutica:</b>";
		foreach ($lista3 as $row3){
			$valor.="<br>" . $row3['Code'] . " - " . $row3['Descr'] ;
		}
	}

	//vias
	$sql="select * from desc_Vias_administracao where N_Registo=" . $row['id'];
	$lista4=$db->get($sql);
	
	if ($lista4){
		$valor.="<br><b>Via de Administração:</b>";
		foreach ($lista4 as $row4){
			$valor.="<br>" . $row4['Vias_Admin'] ;
		}
	}

		// patol
	$sql="select * from desc_Patologia_Especifica where N_Registo=" . $row['id'];
	$lista5=$db->get($sql);
	
	if ($lista5){
		$valor.="<br><b>Patologia Específica:</b>";
		foreach ($lista5 as $row5){
			$valor.="<br>" . $row5['Patol_Esp'] ;
		}
	}
	

	$sql="update produto
	set descricao= CONCAT_WS('<br>', descricao, '$valor'),
	ordem='$i'
	where id=" . $row['id'] ."";
	
	$db->set($sql);
}

print "Fim<br>";

echo mysql_error();
?>


